package se.su.dsv.scipro.basepages.errorpages;

import org.apache.wicket.request.http.WebResponse;
import se.su.dsv.scipro.security.auth.Authorization;

import javax.servlet.http.HttpServletResponse;

@Authorization(requiresLoggedInUser=false)
public class AccessDeniedPage extends AbstractErrorPage {
	public AccessDeniedPage(){
		super("You do not have the needed rights to access the requested resource");
	}
	@Override
	protected void configureResponse(final WebResponse webResponse) {
		super.configureResponse(webResponse);
        webResponse.setStatus(HttpServletResponse.SC_FORBIDDEN);
	}
}
